INTERFACE
SUBROUTINE RADLSW15( KIDIA, KFDIA,KLON, KTDIA,KLEV,&
 & KMODE, KFLUX , KRAD , KAER,&
 & PRII0,&
 & PAER , PALBD , PALBP, PAPH , PAP,&
 & PCCO2, PCLFR , PDP , PEMIS, PLSM, PMU0, POZON,&
 & PQ , PQIWP , PQLWP, PQS,&
 & PTH , PT , PTS,&
 & PFCT , PFLT , PFCS , PFLS , PFRSOD ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KMODE
INTEGER(KIND=JPIM),INTENT(IN) :: KFLUX
INTEGER(KIND=JPIM),INTENT(IN) :: KRAD
INTEGER(KIND=JPIM),INTENT(IN) :: KAER
REAL(KIND=JPRB) ,INTENT(IN) :: PRII0
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,KLEV,6)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBD(KLON,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBP(KLON,2)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCCO2
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLFR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POZON(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQIWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQLWP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLT(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOD(KLON)
END SUBROUTINE RADLSW15
END INTERFACE
